Bug Hunting Session
Bug 59525 - EDITING: The error bar is out of graph
Summary: EDITING: The error bar is out of graph
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chart-Enhancements
  Show dependency treegraph
 
Reported: 2013-01-17 19:46 UTC by Domenico Somma
Modified: 2018-10-22 21:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Graph on the left is the current behavior, graph on the left is the expected behavior (now with the manual solution) (99.57 KB, image/png)
2013-01-17 19:46 UTC, Domenico Somma
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Domenico Somma 2013-01-17 19:46:45 UTC
Created attachment 73195 [details]
Graph on the left is the current behavior, graph on the left is the expected behavior (now with the manual solution)

Problem description: 


Steps to reproduce:
1. Create a Column graph with a value "10" (It works with every value)
2. Insert Y Error Bars, with costant value "10" (The same of first value)

Current behavior:
The error bar is out of graph

Expected behavior:
The Format Axis is setted on "automatic", So I expect that Calc change the scale of the graph, and that the bar is IN the graph.
              
Operating System: Ubuntu
Version: 4.0.0.0.alpha1
Comment 1 Joel Madero 2013-01-18 16:23:17 UTC
I believe that this is the same bug or at least the same root cause. If you disagree please open it as NEW but I'm almost positive they are the same.

Thanks for helping us out

*** This bug has been marked as a duplicate of bug 52159 ***
Comment 2 John Kuang 2013-01-18 16:32:49 UTC
I think this is a different bug, because it does not involve copy/pasting the chart outside of Calc. This bug is not about having wrong error bars. It is about the automatic scaling of the axis not considering the error bars, and thus long error bars are often out of the scale. If I remember correctly, this has always been the case (since way before 3.5), so this should be a feature request.
Comment 3 Joel Madero 2013-01-20 20:58:13 UTC
Thanks John for the clear comment, I agree, although it might very well be similar code that is causing the problem. Agreed that this is a NEW (confirmed) issue :-D
Comment 4 Domenico Somma 2013-03-03 15:16:26 UTC
I tried it on Rc 4.0.1.2 ...same bug...
Comment 5 Joel Madero 2013-03-04 05:11:05 UTC
@Domenico - please don't change the FDO options if you haven't read about policies.

Version is the oldest version that we see the issue, not the latest it's been tested on, we use comments to say it's been tested on newer versions and still appears.

Version - if it's verified on Linux already, and you verified on Windows mark as "ALL" not Windows (ALL) as it confuses everyone - this is verified on Linux and now Windows so it should be "All".

Thanks for helping out
Comment 6 Domenico Somma 2013-03-04 07:41:26 UTC
Sorry, I understand. Just to be clear this bug affect also previus versions of LibreOffice...certainly 3.5
Comment 7 Joel Madero 2013-03-04 14:54:29 UTC
ah then the version should be changed to the earliest that you are 100% sure it existed :-D
Comment 8 Domenico Somma 2013-03-06 07:27:11 UTC
...like 3.5.7.2?!
Comment 9 John Kuang 2013-03-09 15:35:45 UTC
Yes, I am pretty sure that this automatic error-bar scaling feature was never in the 3.5 series. But I don't think this is a critical bug, it's more of an enhancement.
Comment 10 ign_christian 2013-10-03 03:35:46 UTC
Actually I don't agree if we call this enhancement. Users will see this like a dataloss or malfunction.
Comment 11 stragu 2013-10-30 03:59:00 UTC
I can confirm this in LO 4.1.2.3

Ideally, there should be an option to tick like "Include error bars in chart area", because sometimes error bars can be "over the top"...
Comment 12 Domenico Somma 2018-03-09 13:09:31 UTC
This annoying thing is present in last LO version 6.0.2